// 个人中心路由
import Layout from '@/layout'

const personCenter = [
  {
    path: '/recruit/personal/personalCenter',
    component: Layout,
    name: 'personalCenter',
    meta: {
      title: '个人中心'
    },
    children: [
      {
        path: '/recruit/personal/personalCenter',
        redirect: '/recruit/personal/personalCenter/jobFeedback',
        component: () => import('@/views/recruit/personal/PersonalCenter/index'),
        children: [
          // 求职反馈
          {
            path: '/recruit/personal/personalCenter/jobFeedback',
            name: 'Job Feedback',
            component: () => import('@/views/recruit/personal/PersonalCenter/jobFeedback/index.vue'),
            meta: {
              title: '求职反馈',
              enName: 'Job Feedback',
              icon: 'mdi-account-sync-outline'
            }
          },
          // 简历管理
          {
            path: '/recruit/personal/personalCenter/resume',
            redirect: '/recruit/personal/personalCenter/resume/online',
            name: 'Resume Management',
            meta: {
              title: '简历管理',
              enName: 'Resume Management',
              icon: 'mdi-list-box-outline'
            },
            children: [
              {
                path: '/recruit/personal/personalCenter/resume/online',
                component: () => import('@/views/recruit/personal/PersonalCenter/resume/online/index.vue'),
                meta: {
                  enName: 'Online Resume',
                  title: '在线简历'
                }
              },
              {
                path: '/recruit/personal/personalCenter/resume/attachment',
                component: () => import('@/views/recruit/personal/PersonalCenter/resume/attachment/index.vue'),
                meta: {
                  enName: 'Attachment Resume',
                  title: '附件简历'
                }
              },
              {
                path: '/recruit/personal/personalCenter/resume/template',
                component: () => import('@/views/recruit/personal/PersonalCenter/resume/template/index.vue'),
                meta: {
                  enName: 'Resume Template',
                  title: '简历模板'
                }
              },
              {
                path: '/recruit/personal/personalCenter/resume/blockEnt',
                component: () => import('@/views/recruit/personal/PersonalCenter/resume/blockEnt/index.vue'),
                meta: {
                  enName: 'Block Enterprises',
                  title: '屏蔽企业'
                }
              }
            ]
          },
          // 学生专区
          {
            path: '/recruit/personal/personalCenter/student',
            redirect: '/recruit/personal/personalCenter/student/information',
            name: 'Student',
            permissionName: 'studentInformation',
            meta: {
              title: '学生专区',
              enName: 'Student Information',
              icon: 'mdi-account-school-outline'
            },
            children: [
              {
                path: '/recruit/personal/personalCenter/student/information',
                component: () => import('@/views/recruit/personal/PersonalCenter/student/information/index.vue'),
                meta: {
                  title: '学生信息',
                  enName: 'Student Information'
                }
              },
              {
                path: '/recruit/personal/personalCenter/student/internshipCompany',
                component: () => import('@/views/recruit/personal/PersonalCenter/student/intershipCompany/index.vue'),
                meta: {
                  title: '实习记录',
                  enName: 'Internship Company'
                }
              },
              {
                path: '/recruit/personal/personalCenter/student/internshipReport',
                component: () => import('@/views/recruit/personal/PersonalCenter/student/InternshipReport/index.vue'),
                meta: {
                  title: '实习报告',
                  enName: 'Internship Report'
                }
              },
              // {
              //   path: '/recruit/personal/personalCenter/student/internshipCertificate',
              //   component: () => import('@/views/recruit/personal/PersonalCenter/student/InternshipCertificate/index.vue'),
              //   meta: {
              //     title: '实习证书',
              //     enName: 'Internship Certificate'
              //   }
              // },
              // {
              //   path: '/recruit/personal/personalCenter/student/enterpriseRecommendationLetter',
              //   component: () => import('@/views/recruit/personal/PersonalCenter/student/EnterpriseRecommendationLetter/index.vue'),
              //   meta: {
              //     title: '企业推荐信',
              //     enName: 'Recommendation Letter'
              //   }
              // },
              {
                path: '/recruit/personal/personalCenter/student/internshipButler',
                component: () => import('@/views/recruit/personal/PersonalCenter/student/InternshipButler/index.vue'),
                meta: {
                  title: '实习管家',
                  enName: 'Internship Butler'
                }
              }
            ]
          },
          // 赏金奖励
          {
            path: '/recruit/personal/personalCenter/bountyRewards',
            name: 'bountyRewards',
            component: () => import('@/views/recruit/personal/PersonalCenter/bountyRewards/index.vue'),
            meta: {
              title: '赏金奖励',
              enName: 'Bounty Rewards',
              icon: 'mdi-octagram-outline'
            }
          },
          // 我的钱包
          {
            path: '/recruit/personal/personalCenter/wallet',
            name: 'My Wallet',
            meta: {
              title: '我的钱包',
              enName: 'My Wallet',
              icon: 'mdi-wallet-outline'
            },
            component: () => import('@/views/recruit/personal/PersonalCenter/wallet/index.vue'),
          },
          // 交易订单
          {
            path: '/recruit/personal/personalCenter/tradeOrder',
            name: 'Trading order',
            component: () => import('@/views/recruit/personal/PersonalCenter/tradeOrder/index.vue'),
            meta: {
              title: '交易订单',
              enName: 'Trading order',
              icon: 'mdi-order-bool-ascending-variant'
            }
          },
          // 邀请记录
          {
            path: '/recruit/personal/personalCenter/inviteRecord',
            name: 'Invite Record',
            component: () => import('@/views/recruit/personal/PersonalCenter/inviteRecord/index.vue'),
            meta: {
              title: '邀请记录',
              enName: 'Invite Record',
              icon: 'mdi-format-list-numbered-rtl'
            }
          },
          // 会员福利
          {
            path: '/recruit/personal/personalCenter/memberBenefits',
            redirect: '/recruit/personal/personalCenter/memberBenefits/taskCenter',
            name: 'Member Benefits',
            meta: {
              title: '会员福利',
              enName: 'Member Benefits',
              icon: 'mdi-gamepad-circle-outline'
            },
            children: [
              {
                path: '/recruit/personal/personalCenter/memberBenefits/taskCenter',
                component: () => import('@/views/recruit/personal/PersonalCenter/memberBenefits/taskCenter/index.vue'),
                meta: {
                  enName: 'Task Center',
                  title: '任务中心'
                }
              },
              {
                path: '/recruit/personal/personalCenter/memberBenefits/membershipPackage',
                component: () => import('@/views/recruit/personal/PersonalCenter/memberBenefits/membershipPackage/index.vue'),
                meta: {
                  enName: 'Membership Package',
                  title: '会员套餐'
                }
              }
            ]
          },
          // 账号设置
          {
            path: '/recruit/personal/personalCenter/accountSettings',
            redirect: '/recruit/personal/personalCenter/accountSettings/editPassword',
            name: 'Account Settings',
            meta: {
              title: '账号设置',
              enName: 'Account Settings',
              icon: 'mdi-cog-outline'
            },
            children: [
              {
                path: '/recruit/personal/personalCenter/accountSettings/editPassword',
                component: () => import('@/views/recruit/personal/PersonalCenter/accountSettings/editPassword'),
                meta: {
                  title: '修改密码',
                  enName: 'Edit Password'
                }
              },
            ]
          },
          // 收货地址
          {
            path: '/recruit/personal/personalCenter/shippingAddress',
            name: 'Shipping Address',
            component: () => import('@/views/recruit/personal/PersonalCenter/shippingAddress/index.vue'),
            meta: {
              title: '收货地址',
              enName: 'Shipping Address',
              icon: 'mdi-map-marker-outline'
            }
          }
        ]
      }
    ]
  }
]

export default personCenter
